package com.da.dangan.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.da.common.annotation.Excel;
import com.da.common.core.domain.BaseEntity;

/**
 * 档案行政分类对象 area_sort
 * 
 * @author hs
 * @date 2024-05-11
 */
public class AreaSort extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 目录名称 */
    @Excel(name = "目录名称")
    private String muName;

    /** 区域分类(字典) */
    @Excel(name = "区域分类(字典)")
    private String areaType;

    /** 父区域ID */
    @Excel(name = "父区域ID")
    private Long pid;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMuName(String muName) 
    {
        this.muName = muName;
    }

    public String getMuName() 
    {
        return muName;
    }
    public void setAreaType(String areaType) 
    {
        this.areaType = areaType;
    }

    public String getAreaType() 
    {
        return areaType;
    }
    public void setPid(Long pid) 
    {
        this.pid = pid;
    }

    public Long getPid() 
    {
        return pid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("muName", getMuName())
            .append("areaType", getAreaType())
            .append("pid", getPid())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
